complexType "MetalDelivery"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 2 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | deliveryLocation, risk?
</...>

Content Model Elements (2):

  deliveryLocation (in deliveryConditions in metalPhysicalLeg),
  risk (in deliveryConditions in metalPhysicalLeg)

All Direct / Indirect Based Elements (1):

  deliveryConditions (in metalPhysicalLeg)

Known Usage Locations

- As direct type of elements (1):
  deliveryConditions (in metalPhysicalLeg)

Annotation
The physical delivery conditions for the transaction.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="MetalDelivery"> <xsd:sequence> <xsd:element name="deliveryLocation" type="CommodityDeliveryPoint"/> <xsd:element minOccurs="0" name="risk" type="CommodityDeliveryRisk"/> <!--View Generation: SKIPPED totalQuantityTolerance - Standardized--> <!--View Generation: SKIPPED periodQuantityTolerance - Standardized--> <!--View Generation: SKIPPED title - Standardized--> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
deliveryLocation

  Type: | CommodityDeliveryPoint, simple content

  The Delivery Point for a physically settled non-precious metal transaction.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="deliveryLocation" type="CommodityDeliveryPoint"/>

risk

  Type: | CommodityDeliveryRisk, simple content

  "Risk of loss" may also be used, equivalently, on confirmation documents.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="risk" type="CommodityDeliveryRisk"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.